import type { Driver, DriverReader } from "./driver.js";
export declare class Reader {
    #private;
    constructor(ctx: AbortSignal | null, drv: Driver, reader: DriverReader, key: string, baseOffset: number, baseLength: number);
    read(size?: number): Promise<Uint8Array | null>;
    readAll(): Promise<Uint8Array>;
    seek(offset: number, whence?: number): number;
    close(): void;
    [Symbol.dispose](): void;
    ContentType(): string;
    ModTime(): Date;
    Size(): number;
}
